README file for package installation

## 1. Installation and requirements 

Installation using conda
```
> conda create --name <env_name> --file <conda_environment.yaml>
> conda activate <env_name>
OR 
> source activate <env_name>
```

General libraries being used:
  -	python 3.9 
  -	pillow, numpy, pandas, matplotlib 
  -	pytorch, torchio, imageio, tensorboard
  -	scikit-learn, yaml


## 2. Updating CSV files to define your datast

Update your CSV files to point to your training and validation datasets.
  - Please see "Example_CSV/Data_Example_train.csv"


## 3. Running the package

###  3.1 DNN training using configuration file

Command line:
```
python3 AI_Training.py --config ./Config_Files/AI_Training_Config.yaml
``` 
 
###  3.2 DNN inference using configuration file

Command line:
```
python3 AI_Inference_CSV.py --config ./Config_Files/AI_Inference_Config.yaml --verbose
```
